Subject: Re: [spring] 回复: Re: draft-ietf-spring-srv6-network-programming :Section 4.16.2
From: "Pablo Camarillo (pcamaril)" <[email-masked]>
To: li zhenqiang <[email-masked]>, "Wang, Weibin (NSB - CN/Shanghai)" <[email-masked]>, Ron Bonica <rbonica=[email-masked]>, "[email-masked]" <[email-masked]>
Date: Tue, 15 Oct 2019 16:46:31 +0000
List-Id: "Source Packet Routing in NetworkinG \(SPRING\)" <spring.ietf.org>

Li,

Please read https://mailarchive.ietf.org/arch/msg/spring/YCIGjvgPDwSibW2BjX7aXDLUQMc. I believe that should help you understand more.

Cheers,
Pablo.

From: spring <[email-masked]> on behalf of li zhenqiang <[email-masked]>
Date: Tuesday, 15 October 2019 at 09:20
To: "Wang, Weibin (NSB - CN/Shanghai)" <[email-masked]>, Ron Bonica <rbonica=[email-masked]>, "[email-masked]" <[email-masked]>
Subject: [spring] 回复: Re: draft-ietf-spring-srv6-network-programming :Section 4.16.2

No, USD is not needed in my understanding. The destination node which is pointed by the DA in the outer IPv6 header knows what it should do when it receives a packet whose DA is in its local SID table.

More discussion are needed for the flavor part in the draft.

Best Regards,
Zhenqiang Li
________________________________
[email-masked]

发件人： Wang, Weibin (NSB - CN/Shanghai)<mailto:[email-masked]>
发送时间： 2019-10-15 07:55
收件人： Ron Bonica<mailto:rbonica=[email-masked]>; SPRING WG List<mailto:[email-masked]>
主题： Re: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2
I think the USD action May be necessary, because it is relative to SRv6 SID as last SID in SRH, not to related to plain ipv6 address (RFC4291);

As plain IPv6 address in DA field of IPv6 packet, it is default behavior for Node identified by DA to further Decapsulate packet in this case.

--------------------------------------
Cheers !

WANG Weibin

From: spring <[email-masked]> On Behalf Of Ron Bonica
Sent: 2019年10月15日 7:03
To: SPRING WG List <[email-masked]>
Subject: Re: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2

Authors,

Sorry, I meant to say USD, not USP.

                         Ron

Juniper Business Use Only
From: Ron Bonica
Sent: Monday, October 14, 2019 2:36 PM
To: SPRING WG List <[email-masked]<mailto:[email-masked]>>
Subject: draft-ietf-spring-srv6-network-programming :Section 4.16.2

Authors,

The USP flavor of the END, END.X and END.T functions isn’t needed.

USP is the default IPv6 behavior. So, if the source node specifies SID[0] as an RFC 4291 address on the SR egress node, you get the USP behavior for free.

                                                           Ron

Juniper Business Use Only